import requests

def fetch_and_save_pdf(url, save_path):
    """Fetch a PDF from a URL and save it to a local file."""
    try:
        response = requests.get(url)
        response.raise_for_status()  # Check for request errors
        
        # Save PDF content to a file
        with open(save_path, "wb") as pdf_file:
            pdf_file.write(response.content)
        print(f"PDF successfully downloaded and saved as {save_path}")
    except requests.exceptions.RequestException as e:
        print(f"Failed to fetch PDF: {e}")
    except Exception as e:
        print(f"An error occurred: {e}")
